=== debian/changelog ===
liggghts (3.7.0+repack1-1) unstable; urgency=medium

  * [56c1d27] Drop windows-files from the source.
  * [a769922] Filter some js-files from the source.
  * [e042cd2] New upstream version 3.7.0+repack1
  * [d14defe] Refresh patches, remove uneeded ones.
  * [8812f5f] Set maximal hardening level.

 -- Anton Gladky <gladk@debian.org>  Tue, 18 Jul 2017 00:15:56 +0200

liggghts (3.5.0+repack1-10) unstable; urgency=medium

  * [e2a6253] Better fix for the bug, fixed in previous upload.
              Thanks, Graham

 -- Anton Gladky <gladk@debian.org>  Thu, 19 Jan 2017 18:58:57 +0100
