=== debian/control ===
Source: liggghts
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: extra
Build-Depends: cmake,
               debhelper (>= 9),
               libboost-mpi-dev,
               libeigen3-dev,
               libjpeg-dev,
               libpython-dev,
               libqt4-opengl-dev,
               libvtk6-dev,
               mpi-default-bin,
               mpi-default-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
Homepage: http://www.liggghts.com/

Package: libliggghts-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libliggghts3 (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source DEM Particle Simulation Software. Development files
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains development files.

Package: libliggghts3
Architecture: any
Multi-Arch: same
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Open Source DEM Particle Simulation Software. Shared library
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains shared library.

Package: liggghts
Architecture: any
Multi-Arch: foreign
Depends: libliggghts3 (>= ${source:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: paraview
Description: Open Source DEM Particle Simulation Software.
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.

Package: liggghts-doc
Architecture: all
Section: doc
Depends: mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liggghts
Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
 LIGGGHTS stands for LAMMPS improved for general granular and granular
 heat transfer simulations.
 .
 LAMMPS is a classical molecular dynamics simulator. It is widely used in
 the field of Molecular Dynamics. Thanks to physical and algorithmic analogies,
 LAMMPS is a very good platform for DEM simulations. LAMMPS offers a GRANULAR
 package to perform these kind of simulations. LIGGGHTS aims to improve those
 capability with the goal to apply it to industrial applications.
 Development version.
 .
 The package contains documentation and examples.
