## liggghts 3.8.0%2Brepack1

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

disable_auto_test_archs_simpl = armel armhf mips64el
disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc

override_dh_auto_test:
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
	mkdir test
	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; mpirun -np 2 --allow-run-as-root --oversubscribe $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_simpl)))
	mkdir test
	cp -r  examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
	rm -rf test
endif

override_dh_installexamples:
	dh_installexamples
	find $(CURDIR)/debian/ -name ".gitignore" | xargs rm -f
