=== debian/changelog ===
liggghts (3.8.0+repack1-7) unstable; urgency=medium

  [ Anton Gladky ]
  * [984ea96] Let reprotest fail
  * [67f38aa] Add Rules-Requires-Root: no

  [ Helmut Grohne ]
  * [b510414] Support DEB_BUILD_OPTIONS=nocheck. (Closes: #943310)
  * [fd665f2] Do not use not use MPI_C_COMPILER or MPI_CXX_COMPILER
    (Closes: #943313)

 -- Anton Gladky <gladk@debian.org>  Fri, 26 Jun 2020 23:24:34 +0200

liggghts (3.8.0+repack1-6) unstable; urgency=medium

  * [db8d4d8] Trim trailing whitespace.
  * [e5d9a66] Bump debhelper from old 11 to 12.
  * [1ce0a3d] Set debhelper-compat version in Build-Depends.
  * [249f192] Update standards version to 4.5.0, no changes needed.
  * [379ddc7] Fix manpage. (Closes: #963449)
  * [bbccc13] Add debian/.gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Jun 2020 23:16:30 +0200

liggghts (3.8.0+repack1-5) unstable; urgency=medium

  * Team upload.
  * Drop unused libpython-dev dependency (Closes: #936944).

 -- Stuart Prescott <stuart@debian.org>  Tue, 21 Jan 2020 13:11:38 +1100

liggghts (3.8.0+repack1-4) unstable; urgency=medium

  * [b42dedf] Update CMakeListst. (Closes: 917500)

 -- Anton Gladky <gladk@debian.org>  Tue, 22 Jan 2019 20:40:32 +0100

liggghts (3.8.0+repack1-3) unstable; urgency=medium

  * [5cb8750] Set LC_ALL=C in d/rules. (Closes: #917500)

 -- Anton Gladky <gladk@debian.org>  Mon, 21 Jan 2019 23:56:07 +0100

liggghts (3.8.0+repack1-2) unstable; urgency=medium

  * [8bc3eb8] Remove qt4-framework from deps. (Closes: #875028)
  * [5ae1881] Update standards-version to 4.3.0

 -- Anton Gladky <gladk@debian.org>  Sat, 19 Jan 2019 15:42:41 +0100

liggghts (3.8.0+repack1-1) unstable; urgency=medium

  * [77bb37d] Update patches
  * [9c9888d] Apply cme fix dpkg
  * [2a69e72] Add allow-run-as-root option
  * [a0fb4a3] Remove unneeded fields in d/control and d/rules
  * [211b0af] Use packaged version of the js-libs
  * [4ecc15e] Fix typo in d/changelog
  * [b9e4366] Update d/watch
  * [15fd630] New upstream version 3.8.0+repack1

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Dec 2018 20:53:10 +0100
