=== debian/control ===
--- 
+++ 
@@ -2,21 +2,19 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
-Priority: extra
+Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                libboost-mpi-dev,
                libeigen3-dev,
                libjpeg-dev,
-               libpython-dev,
-               libqt4-opengl-dev,
                libvtk6-dev,
                mpi-default-bin,
                mpi-default-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/liggghts.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/liggghts.git
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/liggghts
+Vcs-Git: https://salsa.debian.org/science-team/liggghts.git
 Homepage: http://www.liggghts.com/
 
 Package: libliggghts-dev
@@ -83,11 +81,12 @@
 Package: liggghts-doc
 Architecture: all
 Section: doc
-Depends: mpi-default-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libjs-jquery,
+         libjs-underscore
 Recommends: liggghts
-Description: Open Source DEM Particle Simulation Software. Dcoumentation and examples
+Description: Open Source DEM Particle Simulation Software. Documentation and examples
  LIGGGHTS stands for LAMMPS improved for general granular and granular
  heat transfer simulations.
  .
