=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,14 @@
 	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)
 
 export OMPI_MCA_plm_rsh_agent=/bin/false		#workaround to start MPI-applications in chroot
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 disable_auto_test_archs_simpl = armel armhf mips64el
 disable_auto_test_archs_mpi = hurd-i386 mips mipsel mips64el s390 s390x powerpc
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs_mpi)))
 	mkdir test
 	cp -r examples/LIGGGHTS/Tutorials_public/heatTransfer_1/* test/
@@ -23,6 +25,7 @@
 	cd test; $(BUILDDIR)/src/liggghts < in.heatGran
 	rm -rf test
 endif
+endif
 
 override_dh_installexamples:
 	dh_installexamples
